Subject: Memory Leak on Fedora Machine

From: Mahyar Mirrashed <[email-masked]>
Date: Sun, 27 Feb 2022 23:34:07 -0600

Hi there,

I was implementing a simplistic shell script parser for fun in C. When
profiling with valgrind with --trace-children=yes, I accidentally profiled
`grep` and noticed that there was over 110KB of memory leakage.

I am running grep v3.6 which is the most recent according to `dnf` on
Fedora Linux 35 (KDE Plasma) x86_64 with kernel 5.16.9-200

Thinking that it was because of whatever came with Fedora, I tried
compiling from source but the same memory leakage persisted.

The line that I was profiling was
cat /proc/self/status | grep nonvol > nonvoluntaryswitches.txt

Regards,
Mahyar